Index: /branches/version-2_13-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Initial.php	(revision 23116)
+++ /branches/version-2_13-dev/data/class/SC_Initial.php	(revision 23124)
@@ -33,5 +33,5 @@
      * コンストラクタ.
      */
-    function __construct()
+    public function __construct()
     {
         /** EC-CUBEのバージョン */
@@ -45,5 +45,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         $this->requireInitialConfig();
@@ -67,5 +67,5 @@
      * @return void
      */
-    function requireInitialConfig()
+    public function requireInitialConfig()
     {
         define('CONFIG_REALFILE', realpath(dirname(__FILE__)) . '/../config/config.php');
@@ -82,5 +82,5 @@
      * @deprecated 下位互換用
      */
-    function defineDSN()
+    public function defineDSN()
     {
         if (defined('DB_TYPE') && defined('DB_USER') && defined('DB_PASSWORD')
@@ -97,5 +97,5 @@
      * @deprecated
      */
-    function setErrorReporting()
+    public function setErrorReporting()
     {
         error_reporting(E_ALL & ~E_NOTICE);
@@ -114,5 +114,5 @@
      * @return void
      */
-    function phpconfigInit()
+    public function phpconfigInit()
     {
         ini_set('html_errors', '1');
@@ -151,5 +151,5 @@
      * @return void
      */
-    function defineDirectoryIndex()
+    public function defineDirectoryIndex()
     {
         // DirectoryIndex の実ファイル名
@@ -182,5 +182,5 @@
      * @return void
      */
-    function defineParameter()
+    public function defineParameter()
     {
         $errorMessage
@@ -224,5 +224,5 @@
      * @return void
      */
-    function complementParameter()
+    public function complementParameter()
     {
     }
@@ -236,5 +236,5 @@
      * @return void
      */
-    function createCacheDir()
+    public function createCacheDir()
     {
         if (defined('HTML_REALDIR')) {
@@ -264,5 +264,5 @@
      * @return void
      */
-    function defineConstants()
+    public function defineConstants()
     {
         // LC_Page_Error用
@@ -432,5 +432,5 @@
      * @return void
      */
-    function stripslashesDeepGpc()
+    public function stripslashesDeepGpc()
     {
         // Strip magic quotes from request data.
@@ -443,5 +443,5 @@
                 if (is_string($value)) {
                     $value = ' . $unescape_function . ';
-                } else if (is_array($value)) {
+                } elseif (is_array($value)) {
                     foreach ($value as &$v) $fn($v, $fn);
                 }
@@ -463,5 +463,5 @@
      * @return void
      */
-    function resetSuperglobalsRequest()
+    public function resetSuperglobalsRequest()
     {
         $_REQUEST = array_merge($_GET, $_POST);
@@ -471,9 +471,9 @@
      * 指定された名前の定数が存在しない場合、指定された値で定義
      *
-     * @param string $name 定数の名前。
-     * @param mixed $value 定数の値。
-     * @return void
-     */
-    function defineIfNotDefined($name, $value = null)
+     * @param  string $name  定数の名前。
+     * @param  mixed  $value 定数の値。
+     * @return void
+     */
+    public function defineIfNotDefined($name, $value = null)
     {
         if (!defined($name)) {
@@ -487,5 +487,5 @@
      * @return void
      */
-    function setTimezone()
+    public function setTimezone()
     {
         date_default_timezone_set('Asia/Tokyo');
@@ -497,5 +497,5 @@
      * @return void
      */
-    function normalizeHostname()
+    public function normalizeHostname()
     {
         if (
Index: /branches/version-2_13-dev/data/class/SC_CustomerList.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_CustomerList.php	(revision 22928)
+++ /branches/version-2_13-dev/data/class/SC_CustomerList.php	(revision 23124)
@@ -27,7 +27,7 @@
 class SC_CustomerList extends SC_SelectSql_Ex
 {
-    var $arrColumnCSV;
-
-    function __construct($array, $mode = '')
+    public $arrColumnCSV;
+
+    public function __construct($array, $mode = '')
     {
         parent::__construct($array);
@@ -309,5 +309,5 @@
             if ($tmp_where != '') {
                 $this->setWhere(' customer_id IN (SELECT distinct customer_id FROM dtb_order WHERE order_id IN (SELECT distinct order_id FROM dtb_order_detail WHERE product_id IN (SELECT product_id FROM dtb_product_categories WHERE '.$tmp_where.') AND del_flg = 0)) ');
-                $this->arrVal = array_merge((array)$this->arrVal, (array)$tmp_arrval);
+                $this->arrVal = array_merge((array) $this->arrVal, (array) $tmp_arrval);
             }
         }
@@ -326,5 +326,5 @@
 
     // 検索用SQL
-    function getList()
+    public function getList()
     {
         $this->select = 'SELECT customer_id,name01,name02,kana01,kana02,sex,email,email_mobile,tel01,tel02,tel03,pref,status,update_date,mailmaga_flg FROM dtb_customer ';
@@ -333,5 +333,5 @@
     }
 
-    function getListMailMagazine($is_mobile = false)
+    public function getListMailMagazine($is_mobile = false)
     {
         $colomn = $this->getMailMagazineColumn($is_mobile);
@@ -346,5 +346,5 @@
 
     // 検索総数カウント用SQL
-    function getListCount()
+    public function getListCount()
     {
         $this->select = 'SELECT COUNT(customer_id) FROM dtb_customer ';
@@ -354,5 +354,5 @@
 
     // CSVダウンロード用SQL
-    function getListCSV($arrColumnCSV)
+    public function getListCSV($arrColumnCSV)
     {
         $this->arrColumnCSV = $arrColumnCSV;
@@ -369,5 +369,5 @@
     }
 
-    function getWhere()
+    public function getWhere()
     {
         return array(parent::getWhere(), $this->arrVal);
Index: /branches/version-2_13-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_CartSession.php	(revision 23085)
+++ /branches/version-2_13-dev/data/class/SC_CartSession.php	(revision 23124)
@@ -31,11 +31,11 @@
 {
     /** ユニークIDを指定する. */
-    var $key_tmp;
+    public $key_tmp;
 
     /** カートのセッション変数. */
-    var $cartSession;
+    public $cartSession;
 
     /* コンストラクタ */
-    function __construct($cartKey = 'cart')
+    public function __construct($cartKey = 'cart')
     {
         if (!isset($_SESSION[$cartKey])) {
@@ -46,5 +46,5 @@
 
     // 商品購入処理中のロック
-    function saveCurrentCart($key_tmp, $productTypeId)
+    public function saveCurrentCart($key_tmp, $productTypeId)
     {
         $this->key_tmp = 'savecart_' . $key_tmp;
@@ -62,5 +62,5 @@
 
     // 商品購入中の変更があったかをチェックする。
-    function getCancelPurchase($productTypeId)
+    public function getCancelPurchase($productTypeId)
     {
         $ret = isset($this->cartSession[$productTypeId]['cancel_purchase'])
@@ -72,5 +72,5 @@
 
     // 購入処理中に商品に変更がなかったかを判定
-    function checkChangeCart($productTypeId)
+    public function checkChangeCart($productTypeId)
     {
         $change = false;
@@ -100,5 +100,5 @@
 
     // 次に割り当てるカートのIDを取得する
-    function getNextCartID($productTypeId)
+    public function getNextCartID($productTypeId)
     {
         $count = array();
@@ -111,5 +111,5 @@
 
     // 値のセット
-    function setProductValue($id, $key, $val, $productTypeId)
+    public function setProductValue($id, $key, $val, $productTypeId)
     {
         $max = $this->getMax($productTypeId);
@@ -124,5 +124,5 @@
 
     // カート内商品の最大要素番号を取得する。
-    function getMax($productTypeId)
+    public function getMax($productTypeId)
     {
         $max = 0;
@@ -141,5 +141,5 @@
 
     // カート内商品数量の合計
-    function getTotalQuantity($productTypeId)
+    public function getTotalQuantity($productTypeId)
     {
         $total = 0;
@@ -153,5 +153,5 @@
 
     // 全商品の合計価格
-    function getAllProductsTotal($productTypeId, $pref_id = 0, $country_id = 0)
+    public function getAllProductsTotal($productTypeId, $pref_id = 0, $country_id = 0)
     {
         // 税込み合計
@@ -176,9 +176,10 @@
             $total+= ($incTax * $quantity);
         }
+
         return $total;
     }
 
     // 全商品の合計税金
-    function getAllProductsTax($productTypeId, $pref_id = 0, $country_id = 0)
+    public function getAllProductsTax($productTypeId, $pref_id = 0, $country_id = 0)
     {
         // 税合計
@@ -200,5 +201,5 @@
 
     // 全商品の合計ポイント
-    function getAllProductsPoint($productTypeId)
+    public function getAllProductsPoint($productTypeId)
     {
         // ポイント合計
@@ -227,5 +228,5 @@
 
     // カートへの商品追加
-    function addProduct($product_class_id, $quantity)
+    public function addProduct($product_class_id, $quantity)
     {
         $objProduct = new SC_Product_Ex();
@@ -251,5 +252,5 @@
 
     // 前頁のURLを記録しておく
-    function setPrevURL($url, $excludePaths = array())
+    public function setPrevURL($url, $excludePaths = array())
     {
         // 前頁として記録しないページを指定する。
@@ -273,5 +274,5 @@
 
     // 前頁のURLを取得する
-    function getPrevURL()
+    public function getPrevURL()
     {
         return isset($_SESSION['prev_url']) ? $_SESSION['prev_url'] : '';
@@ -279,5 +280,5 @@
 
     // キーが一致した商品の削除
-    function delProductKey($keyname, $val, $productTypeId)
+    public function delProductKey($keyname, $val, $productTypeId)
     {
         $max = count($this->cartSession[$productTypeId]);
@@ -289,10 +290,10 @@
     }
 
-    function setValue($key, $val, $productTypeId)
+    public function setValue($key, $val, $productTypeId)
     {
         $this->cartSession[$productTypeId][$key] = $val;
     }
 
-    function getValue($key, $productTypeId)
+    public function getValue($key, $productTypeId)
     {
         return $this->cartSession[$productTypeId][$key];
@@ -303,5 +304,5 @@
      * productsClass項目から、不必要な項目を削除する。
      */
-    function adjustSessionProductsClass(&$arrProductsClass)
+    public function adjustSessionProductsClass(&$arrProductsClass)
     {
         $arrNecessaryItems = array(
@@ -334,11 +335,11 @@
      * getCartList用にcartSession情報をセットする
      *
-     * @param integer $product_type_id 商品種別ID
-     * @param integer $key
+     * @param  integer $product_type_id 商品種別ID
+     * @param  integer $key
      * @return void
      *
      * MEMO: せっかく一回だけ読み込みにされてますが、税率対応の関係でちょっと保留
      */
-    function setCartSession4getCartList($productTypeId, $key)
+    public function setCartSession4getCartList($productTypeId, $key)
     {
         $objProduct = new SC_Product_Ex();
@@ -367,10 +368,10 @@
      * 商品種別ごとにカート内商品の一覧を取得する.
      *
-     * @param integer $productTypeId 商品種別ID
-     * @param integer $pref_id 税金計算用注文者都道府県ID
-     * @param integer $country_id 税金計算用注文者国ID
-     * @return array カート内商品一覧の配列
-     */
-    function getCartList($productTypeId, $pref_id = 0, $country_id = 0)
+     * @param  integer $productTypeId 商品種別ID
+     * @param  integer $pref_id       税金計算用注文者都道府県ID
+     * @param  integer $country_id    税金計算用注文者国ID
+     * @return array   カート内商品一覧の配列
+     */
+    public function getCartList($productTypeId, $pref_id = 0, $country_id = 0)
     {
         $objProduct = new SC_Product_Ex();
@@ -443,5 +444,5 @@
      * @return array 全てのカートの内容
      */
-    function getAllCartList()
+    public function getAllCartList()
     {
         $results = array();
@@ -463,8 +464,8 @@
      * カート内にある商品規格IDを全て取得する.
      *
-     * @param integer $productTypeId 商品種別ID
-     * @return array 商品規格ID の配列
-     */
-    function getAllProductClassID($productTypeId)
+     * @param  integer $productTypeId 商品種別ID
+     * @return array   商品規格ID の配列
+     */
+    public function getAllProductClassID($productTypeId)
     {
         $max = $this->getMax($productTypeId);
@@ -482,8 +483,8 @@
      * 商品種別ID を指定して, カート内の商品を全て削除する.
      *
-     * @param integer $productTypeId 商品種別ID
+     * @param  integer $productTypeId 商品種別ID
      * @return void
      */
-    function delAllProducts($productTypeId)
+    public function delAllProducts($productTypeId)
     {
         $max = $this->getMax($productTypeId);
@@ -494,5 +495,5 @@
 
     // 商品の削除
-    function delProduct($cart_no, $productTypeId)
+    public function delProduct($cart_no, $productTypeId)
     {
         $max = $this->getMax($productTypeId);
@@ -505,5 +506,5 @@
 
     // 数量の増加
-    function upQuantity($cart_no, $productTypeId)
+    public function upQuantity($cart_no, $productTypeId)
     {
         $quantity = $this->getQuantity($cart_no, $productTypeId);
@@ -514,5 +515,5 @@
 
     // 数量の減少
-    function downQuantity($cart_no, $productTypeId)
+    public function downQuantity($cart_no, $productTypeId)
     {
         $quantity = $this->getQuantity($cart_no, $productTypeId);
@@ -525,9 +526,9 @@
      * カート番号と商品種別IDを指定して, 数量を取得する.
      *
-     * @param integer $cart_no カート番号
-     * @param integer $productTypeId 商品種別ID
+     * @param  integer $cart_no       カート番号
+     * @param  integer $productTypeId 商品種別ID
      * @return integer 該当商品規格の数量
      */
-    function getQuantity($cart_no, $productTypeId)
+    public function getQuantity($cart_no, $productTypeId)
     {
         $max = $this->getMax($productTypeId);
@@ -542,10 +543,10 @@
      * カート番号と商品種別IDを指定して, 数量を設定する.
      *
-     * @param integer $quantity 設定する数量
-     * @param integer $cart_no カート番号
+     * @param integer $quantity      設定する数量
+     * @param integer $cart_no       カート番号
      * @param integer $productTypeId 商品種別ID
      * @retrun void
      */
-    function setQuantity($quantity, $cart_no, $productTypeId)
+    public function setQuantity($quantity, $cart_no, $productTypeId)
     {
         $max = $this->getMax($productTypeId);
@@ -560,9 +561,9 @@
      * カート番号と商品種別IDを指定して, 商品規格IDを取得する.
      *
-     * @param integer $cart_no カート番号
-     * @param integer $productTypeId 商品種別ID
+     * @param  integer $cart_no       カート番号
+     * @param  integer $productTypeId 商品種別ID
      * @return integer 商品規格ID
      */
-    function getProductClassId($cart_no, $productTypeId)
+    public function getProductClassId($cart_no, $productTypeId)
     {
         for ($i = 0; $i < count($this->cartSession[$productTypeId]); $i++) {
@@ -584,8 +585,8 @@
      * 4. 在庫数チェック
      *
-     * @param string $productTypeId 商品種別ID
+     * @param  string $productTypeId 商品種別ID
      * @return string エラーが発生した場合はエラーメッセージ
      */
-    function checkProducts($productTypeId)
+    public function checkProducts($productTypeId)
     {
         $objProduct = new SC_Product_Ex();
@@ -642,8 +643,8 @@
      * 送料無料条件を満たすかどうかチェックする
      *
-     * @param integer $productTypeId 商品種別ID
+     * @param  integer $productTypeId 商品種別ID
      * @return boolean 送料無料の場合 true
      */
-    function isDelivFree($productTypeId)
+    public function isDelivFree($productTypeId)
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -685,17 +686,17 @@
      * - add_point: 加算ポイント
      *
-     * @param integer $productTypeId 商品種別ID
-     * @param SC_Customer $objCustomer ログイン中の SC_Customer インスタンス
-     * @param integer $use_point 今回使用ポイント
-     * @param integer|array $deliv_pref 配送先都道府県ID.
+     * @param integer       $productTypeId 商品種別ID
+     * @param SC_Customer   $objCustomer   ログイン中の SC_Customer インスタンス
+     * @param integer       $use_point     今回使用ポイント
+     * @param integer|array $deliv_pref    配送先都道府県ID.
                                         複数に配送する場合は都道府県IDの配列
-     * @param integer $charge 手数料
-     * @param integer $discount 値引き
-     * @param integer $deliv_id 配送業者ID
-     * @param integer $order_pref 注文者の都道府県ID
-     * @param integer $order_country_id 注文者の国
-     * @return array カートの計算結果の配列
-     */
-    function calculate($productTypeId, &$objCustomer, $use_point = 0,
+     * @param  integer $charge           手数料
+     * @param  integer $discount         値引き
+     * @param  integer $deliv_id         配送業者ID
+     * @param  integer $order_pref       注文者の都道府県ID
+     * @param  integer $order_country_id 注文者の国
+     * @return array   カートの計算結果の配列
+     */
+    public function calculate($productTypeId, &$objCustomer, $use_point = 0,
         $deliv_pref = '', $charge = 0, $discount = 0, $deliv_id = 0,
         $order_pref = 0, $order_country_id = 0
@@ -761,5 +762,5 @@
      * @return array 商品種別IDの配列
      */
-    function getKeys()
+    public function getKeys()
     {
         $keys = array_keys($this->cartSession);
@@ -778,8 +779,8 @@
      * カートに設定された現在のキー(商品種別ID)を登録する.
      *
-     * @param integer $key 商品種別ID
+     * @param  integer $key 商品種別ID
      * @return void
      */
-    function registerKey($key)
+    public function registerKey($key)
     {
         $_SESSION['cartKey'] = $key;
@@ -791,5 +792,5 @@
      * @return void
      */
-    function unsetKey()
+    public function unsetKey()
     {
         unset($_SESSION['cartKey']);
@@ -801,5 +802,5 @@
      * @return integer 商品種別ID
      */
-    function getKey()
+    public function getKey()
     {
         return $_SESSION['cartKey'];
@@ -811,5 +812,5 @@
      * @return boolean カートが複数商品種別の場合 true
      */
-    function isMultiple()
+    public function isMultiple()
     {
         return count($this->getKeys()) > 1;
@@ -819,8 +820,8 @@
      * 引数の商品種別の商品がカートに含まれるかどうか.
      *
-     * @param integer $product_type_id 商品種別ID
+     * @param  integer $product_type_id 商品種別ID
      * @return boolean 指定の商品種別がカートに含まれる場合 true
      */
-    function hasProductType($product_type_id)
+    public function hasProductType($product_type_id)
     {
         return in_array($product_type_id, $this->getKeys());
Index: /branches/version-2_13-dev/data/class/SC_SelectSql.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SelectSql.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/SC_SelectSql.php	(revision 23124)
@@ -25,15 +25,15 @@
 class SC_SelectSql
 {
-    var $sql;
-
-    var $select;
-    var $where;
-    var $order;
-    var $group;
-    var $arrSql;
-    var $arrVal;
+    public $sql;
+
+    public $select;
+    public $where;
+    public $order;
+    public $group;
+    public $arrSql;
+    public $arrVal;
 
     //--　コンストラクタ。
-    function __construct($array = '')
+    public function __construct($array = '')
     {
         if (is_array($array)) {
@@ -43,5 +43,5 @@
 
     //-- SQL分生成
-    function getSql($mode = '')
+    public function getSql($mode = '')
     {
         $this->sql = $this->select .' '. $this->where .' '. $this->group .' ';
@@ -55,5 +55,5 @@
 
         // 検索用
-    function addSearchStr($val)
+    public function addSearchStr($val)
     {
         $return = '%' .$val. '%';
@@ -63,5 +63,5 @@
 
     //-- 範囲検索（○　~　○　まで）
-    function selectRange($from, $to, $column)
+    public function selectRange($from, $to, $column)
     {
         // ある単位のみ検索($from = $to)
@@ -87,5 +87,5 @@
 
     //--　期間検索（○年○月○日か~○年○月○日まで）
-    function selectTermRange($from_year, $from_month, $from_day, $to_year, $to_month, $to_day, $column)
+    public function selectTermRange($from_year, $from_month, $from_day, $to_year, $to_month, $to_day, $column)
     {
         $return = array();
@@ -127,5 +127,5 @@
 
     // checkboxなどで同一カラム内で単一、もしくは複数選択肢が有る場合　例: AND ( sex = xxx OR sex = xxx OR sex = xxx) AND ...
-    function setItemTerm($arr, $ItemStr)
+    public function setItemTerm($arr, $ItemStr)
     {
         $return = array();
@@ -153,5 +153,5 @@
 
     //　NULL値が必要な場合
-    function setItemTermWithNull($arr, $ItemStr)
+    public function setItemTermWithNull($arr, $ItemStr)
     {
         $return = array();
@@ -173,5 +173,5 @@
     }
     // NULLもしくは''で検索する場合
-    function setItemTermWithNullAndSpace($arr, $ItemStr)
+    public function setItemTermWithNullAndSpace($arr, $ItemStr)
     {
         $return = array();
@@ -200,5 +200,5 @@
 
     */
-    function setWhereByOR($arrWhere)
+    public function setWhereByOR($arrWhere)
     {
         $count = count($arrWhere);
@@ -226,5 +226,5 @@
      * @return string WHERE
      */
-    function getWhere($with_where = false)
+    public function getWhere($with_where = false)
     {
         $where = $this->where;
@@ -237,5 +237,5 @@
     }
 
-    function setWhere($where)
+    public function setWhere($where)
     {
         if ($where != '') {
@@ -248,15 +248,15 @@
     }
 
-    function setOrder($order)
+    public function setOrder($order)
     {
             $this->order =  'ORDER BY ' . $order;
     }
 
-    function setGroup($group)
+    public function setGroup($group)
     {
         $this->group =  'GROUP BY ' . $group;
     }
 
-    function clearSql()
+    public function clearSql()
     {
         $this->select = '';
@@ -266,5 +266,5 @@
     }
 
-    function setSelect($sql)
+    public function setSelect($sql)
     {
         $this->select = $sql;
Index: /branches/version-2_13-dev/data/class/SC_Customer.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Customer.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_Customer.php	(revision 23124)
@@ -28,7 +28,7 @@
 {
     /** 会員情報 */
-    var $customer_data;
-
-    function getCustomerDataFromEmailPass($pass, $email, $mobile = false)
+    public $customer_data;
+
+    public function getCustomerDataFromEmailPass($pass, $email, $mobile = false)
     {
         // 小文字に変換
@@ -53,4 +53,5 @@
             $this->customer_data = $data;
             $this->startSession();
+
             return true;
         }
@@ -65,5 +66,5 @@
      *                 は false を返す。
      */
-    function checkMobilePhoneId()
+    public function checkMobilePhoneId()
     {
         //docomo用にデータを取り出す。
@@ -88,9 +89,9 @@
      * パスワードが合っている場合は会員情報を取得する。
      *
-     * @param string $pass パスワード
+     * @param  string  $pass パスワード
      * @return boolean 該当する会員が存在し、パスワードが合っている場合は true、
      *                 それ以外の場合は false を返す。
      */
-    function getCustomerDataFromMobilePhoneIdPass($pass)
+    public function getCustomerDataFromMobilePhoneIdPass($pass)
     {
         //docomo用にデータを取り出す。
@@ -113,4 +114,5 @@
             $this->customer_data = $data;
             $this->startSession();
+
             return true;
         }
@@ -124,5 +126,5 @@
      * @return void
      */
-    function updateMobilePhoneId()
+    public function updateMobilePhoneId()
     {
         if (!isset($_SESSION['mobile']['phone_id']) || $_SESSION['mobile']['phone_id'] === false) {
@@ -143,5 +145,5 @@
 
     // パスワードを確認せずにログイン
-    function setLogin($email)
+    public function setLogin($email)
     {
         // 本登録された会員のみ
@@ -155,5 +157,5 @@
 
     // セッション情報を最新の情報に更新する
-    function updateSession()
+    public function updateSession()
     {
         $sql = 'SELECT * FROM dtb_customer WHERE customer_id = ? AND del_flg = 0';
@@ -166,5 +168,5 @@
 
     // ログイン情報をセッションに登録し、ログに書き込む
-    function startSession()
+    public function startSession()
     {
         $_SESSION['customer'] = $this->customer_data;
@@ -174,5 +176,5 @@
 
     // ログアウト　$_SESSION['customer']を解放し、ログに書き込む
-    function EndSession()
+    public function EndSession()
     {
         // セッション情報破棄の前にcustomer_idを保存
@@ -195,5 +197,5 @@
 
     // ログインに成功しているか判定する。
-    function isLoginSuccess($dont_check_email_mobile = false)
+    public function isLoginSuccess($dont_check_email_mobile = false)
     {
         // ログイン時のメールアドレスとDBのメールアドレスが一致している場合
@@ -208,6 +210,8 @@
                 if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE && !$dont_check_email_mobile) {
                     $email_mobile = $objQuery->get('email_mobile', 'dtb_customer', 'customer_id = ?', array($_SESSION['customer']['customer_id']));
+
                     return isset($email_mobile);
                 }
+
                 return true;
             }
@@ -218,5 +222,5 @@
 
     // パラメーターの取得
-    function getValue($keyname)
+    public function getValue($keyname)
     {
         // ポイントはリアルタイム表示
@@ -225,4 +229,5 @@
             $point = $objQuery->get('point', 'dtb_customer', 'customer_id = ?', array($_SESSION['customer']['customer_id']));
             $_SESSION['customer']['point'] = $point;
+
             return $point;
         } else {
@@ -232,5 +237,5 @@
 
     // パラメーターのセット
-    function setValue($keyname, $val)
+    public function setValue($keyname, $val)
     {
         $_SESSION['customer'][$keyname] = $val;
@@ -238,5 +243,5 @@
 
     // パラメーターがNULLかどうかの判定
-    function hasValue($keyname)
+    public function hasValue($keyname)
     {
         if (isset($_SESSION['customer'][$keyname])) {
@@ -248,5 +253,5 @@
 
     // 誕生日月であるかどうかの判定
-    function isBirthMonth()
+    public function isBirthMonth()
     {
         if (isset($_SESSION['customer']['birth'])) {
@@ -271,5 +276,5 @@
      * @return string $_SERVER['REMOTE_HOST'] 又は $_SERVER['REMOTE_ADDR']の文字列
      */
-    function getRemoteHost()
+    public function getRemoteHost()
     {
         if (!empty($_SERVER['REMOTE_HOST'])) {
@@ -283,5 +288,5 @@
 
     //受注関連の会員情報を更新
-    function updateOrderSummary($customer_id)
+    public function updateOrderSummary($customer_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -298,9 +303,9 @@
      * ログインに失敗した場合は, false を返す.
      *
-     * @param string $login_email ログインメールアドレス
-     * @param string $login_pass ログインパスワード
+     * @param  string  $login_email ログインメールアドレス
+     * @param  string  $login_pass  ログインパスワード
      * @return boolean ログインに成功した場合 true; 失敗した場合 false
      */
-    function doLogin($login_email, $login_pass)
+    public function doLogin($login_email, $login_pass)
     {
         switch (SC_Display_Ex::detectDevice()) {
@@ -312,4 +317,5 @@
                 } else {
                     $this->updateMobilePhoneId();
+
                     return true;
                 }
Index: /branches/version-2_13-dev/data/class/SC_Cache.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Cache.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_Cache.php	(revision 23124)
@@ -33,5 +33,5 @@
      * @var object
      */
-    static $_instance = NULL;
+    public static $_instance = NULL;
 
     /**
@@ -75,8 +75,8 @@
      * Get data from cache.
      *
-     * @param   string  $id         cache id
-     * @param   string  $group      name of the cache group
-     * @param   int     $lifeTime   custom lifetime
-     * @return  mixed   data of cache (else : false)
+     * @param  string $id       cache id
+     * @param  string $group    name of the cache group
+     * @param  int    $lifeTime custom lifetime
+     * @return mixed  data of cache (else : false)
      */
     public static function get($id, $group = 'default', $lifeTime = NULL)
@@ -98,8 +98,8 @@
      * Save data into cache.
      *
-     * @param   mixed   $data   data of cache
-     * @param   string  $id     cache id
-     * @param   string  $group  name of the cache group
-     * @return  void
+     * @param  mixed  $data  data of cache
+     * @param  string $id    cache id
+     * @param  string $group name of the cache group
+     * @return void
      */
     public static function save($data, $id, $group = 'default')
@@ -113,5 +113,5 @@
      * Clean cache.
      *
-     * @param string $group name of the cache group
+     * @param  string $group name of the cache group
      * @return void
      */
